aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2010-03-24 05:00:11 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2010-03-24 05:00:11 +0000
commit538d12df95c2b8522382dce964354f07ee0da3ef (patch)
treef6fabda6f419b7347c88a77f469094b6dc8905b1 /dev-java/hdf-java/hdf-java-2.6.1.ebuild
parentnew: dev-libs/simclist (diff)
downloadsci-538d12df95c2b8522382dce964354f07ee0da3ef.tar.gz
sci-538d12df95c2b8522382dce964354f07ee0da3ef.tar.bz2
sci-538d12df95c2b8522382dce964354f07ee0da3ef.zip
bump
Diffstat (limited to 'dev-java/hdf-java/hdf-java-2.6.1.ebuild')
-rw-r--r--dev-java/hdf-java/hdf-java-2.6.1.ebuild61
1 files changed, 61 insertions, 0 deletions
diff --git a/dev-java/hdf-java/hdf-java-2.6.1.ebuild b/dev-java/hdf-java/hdf-java-2.6.1.ebuild
new file mode 100644
index 000000000..cefb046d2
--- /dev/null
+++ b/dev-java/hdf-java/hdf-java-2.6.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+JAVA_PKG_IUSE="doc examples source"
+inherit eutils java-pkg-2 autotools
+
+DESCRIPTION="Java interface to the HDF5 library"
+HOMEPAGE="http://www.hdfgroup.org/hdf-java-html/index.html"
+SRC_URI="http://www.hdfgroup.org/ftp/HDF5/hdf-java/src/${P}-src.tar"
+
+LICENSE="NCSA-HDF"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="hdf"
+
+CDEPEND=">=sci-libs/hdf5-1.8[szip]
+ hdf? ( sci-libs/hdf )
+ >=media-libs/jpeg-7
+ sys-libs/zlib"
+RDEPEND="${CDEPEND}
+ >=virtual/jre-1.5"
+
+DEPEND=">=virtual/jdk-1.5
+ ${CDEPEND}"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+ sed -i \
+ -e 's|case JH5F_SCOPE_DOWN|//case JH5F_SCOPE_DOWN|' \
+ native/hdf5lib/h5Constants.c || die
+ epatch "${FILESDIR}"/${P}-shared.patch
+ eautoreconf
+ has_version sci-libs/hdf5[mpi] && export CC=mpicc
+}
+
+src_configure() {
+ local stdpath="/usr/include,/usr/$(get_libdir)"
+ local myconf="--with-hdf4=no --with-libjpeg=no"
+ use hdf && \
+ myconf="--with-libjpeg=${stdpath} --with-hdf4=${stdpath}"
+
+ econf \
+ ${myconf} \
+ --with-libz="${stdpath}" \
+ --with-libsz="${stdpath}" \
+ --with-hdf5="${stdpath}" \
+ --with-jdk="$(java-config -o)/include,$(java-config -o)/jre/lib"
+}
+
+src_compile() {
+ # parallel needs work. anyone?
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ java-pkg_dojar "lib/jhdf5.jar"
+ java-pkg_doso "lib/linux/libjhdf5.so"
+}